<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateSNMPMIB2ListReq StructType
 * @subpackage Structs
 */
class UpdateSNMPMIB2ListReq extends APIRequest
{
    /**
     * The sysLocation
     * @var string
     */
    public $sysLocation;
    /**
     * The sysContact
     * @var string
     */
    public $sysContact;
    /**
     * Constructor method for UpdateSNMPMIB2ListReq
     * @uses UpdateSNMPMIB2ListReq::setSysLocation()
     * @uses UpdateSNMPMIB2ListReq::setSysContact()
     * @param string $sysLocation
     * @param string $sysContact
     */
    public function __construct($sysLocation = null, $sysContact = null)
    {
        $this
            ->setSysLocation($sysLocation)
            ->setSysContact($sysContact);
    }
    /**
     * Get sysLocation value
     * @return string|null
     */
    public function getSysLocation()
    {
        return $this->sysLocation;
    }
    /**
     * Set sysLocation value
     * @param string $sysLocation
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSNMPMIB2ListReq
     */
    public function setSysLocation($sysLocation = null)
    {
        $this->sysLocation = $sysLocation;
        return $this;
    }
    /**
     * Get sysContact value
     * @return string|null
     */
    public function getSysContact()
    {
        return $this->sysContact;
    }
    /**
     * Set sysContact value
     * @param string $sysContact
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSNMPMIB2ListReq
     */
    public function setSysContact($sysContact = null)
    {
        $this->sysContact = $sysContact;
        return $this;
    }
}
